package org.project.item.armors;

public class WizardArmor extends Armor {

    public WizardArmor() {
        super(10);
    }


    public int absorbDamage(int damage, int mp) {
        int reduction = mp / 10; // every 10 MP absorbs 1 damage
        return Math.max(0, damage - reduction);
    }

}